--- src/VBox/Frontends/VBoxHeadless/keymap.h.orig	1970-01-01 09:00:00.000000000 +0900
+++ src/VBox/Frontends/VBoxHeadless/keymap.h	2010-04-21 00:38:20.000000000 +0900
@@ -0,0 +1,22 @@
+/* keymap.h */
+
+#ifndef KEYMAP_H
+#define KEYMAP_H
+
+/* for AltGR modifier */
+#define S2KMOD_NONE  (0)
+#define S2KMOD_SHIFT (1 << 0)
+#define S2KMOD_CTRL  (1 << 1)
+#define S2KMOD_ALT   (1 << 2)
+
+#if defined(__cplusplus)
+extern "C" {
+#endif
+int load_keymap_table(const char *file);
+int need_alternate_graphic(void);
+int keysym2scancode(int keysym);
+int keysym2scancode_modifier(int keysym, int *modifier);
+#if defined(__cplusplus)
+}
+#endif
+#endif/* KEYMAP_H */
